## swig4.1 4.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.2)

if (NOT DEFINED CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Build type")
endif ()

project (swig)

if (POLICY CMP0074)
  cmake_policy (SET CMP0074 NEW)
endif()

file (STRINGS configure.ac line LIMIT_COUNT 1 REGEX "AC_INIT\\(.*\\)" )
if (line MATCHES "AC_INIT\\(\\[(.*)\\],[ \t]*\\[(.*)\\],[ \t]*\\[(.*)\\]\\)" )
  set (SWIG_VERSION ${CMAKE_MATCH_2})
  set (PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
else ()
  message (SEND_ERROR "Could not parse version from configure.ac")
endif ()

set (SWIG_ROOT ${PROJECT_SOURCE_DIR})

set (SWIG_LIB share/swig/${SWIG_VERSION})

# Project wide configuration variables
# ------------------------------------

set (SWIG_SOURCE_DIR ${SWIG_ROOT}/Source CACHE INTERNAL "Path of swig sources" FORCE)

set (PACKAGE_NAME swig)
set (PACKAGE_VERSION ${SWIG_VERSION})

# Configure
# ---------

list (APPEND CMAKE_MODULE_PATH ${SWIG_ROOT}/Tools/cmake)

include (CheckIncludeFiles)
include (CheckIncludeFile)
include (CheckIncludeFileCXX)
include (CheckTypeSize)
include (CheckSymbolExists)
include (CheckFunctionExists)
include (CheckLibraryExists)
include (CheckCSourceCompiles)

# HACK: didn't get the bool check working for Visual Studio 2008
if (MSVC)
  set(HAVE_BOOL 1)
else()
  set (CMAKE_EXTRA_INCLUDE_FILES stdbool.h)
  check_type_size ("bool" HAVE_BOOL)
  set (CMAKE_EXTRA_INCLUDE_FILES)
endif()

check_include_file ("inttypes.h" HAVE_INTTYPES_H)
check_include_file ("stddef.h" HAVE_STDDEF_H)
check_include_file ("stdint.h" HAVE_STDINT_H)
check_include_file ("stdio.h" HAVE_STDIO_H)
check_include_file ("stdlib.h" HAVE_STDLIB_H)
check_include_file ("string.h" HAVE_STRING_H)
check_include_file ("strings.h" HAVE_STRINGS_H)
check_include_file ("sys/stat.h" HAVE_SYS_STAT_H)
check_include_file ("sys/types.h" HAVE_SYS_TYPES_H)
check_include_file ("unistd.h" HAVE_UNISTD_H)
check_include_files ("stdlib.h;stdarg.h;string.h;float.h" STDC_HEADERS)

check_include_file_cxx ("boost/shared_ptr.hpp" HAVE_BOOST)
check_library_exists (dl dlopen "" HAVE_LIBDL)
check_function_exists (popen HAVE_POPEN)

if (MSVC)
  set (CMAKE_CXX_FLAGS "/EHsc ${CMAKE_CXX_FLAGS}")
endif ()

option (WITH_PCRE "Enable PCRE" ON)
if (WITH_PCRE)
  find_package (PCRE2 REQUIRED)
  set (HAVE_PCRE 1)
  include_directories (${PCRE2_INCLUDE_DIRS})
endif()

if (WIN32)
  file (TO_NATIVE_PATH ${CMAKE_INSTALL_PREFIX}/${SWIG_LIB} SWIG_LIB_WIN_UNIX)
  string (REGEX REPLACE "\\\\" "\\\\\\\\" SWIG_LIB_WIN_UNIX "${SWIG_LIB_WIN_UNIX}")
endif ()
configure_file (${SWIG_ROOT}/Tools/cmake/swigconfig.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/Source/Include/swigconfig.h)

find_package (BISON REQUIRED)


# Compiler flags
# --------------

include_directories (
    ${SWIG_SOURCE_DIR}/CParse
    ${SWIG_SOURCE_DIR}/Include
    ${SWIG_SOURCE_DIR}/DOH
    ${SWIG_SOURCE_DIR}/Swig
    ${SWIG_SOURCE_DIR}/Preprocessor
    ${SWIG_SOURCE_DIR}/Modules
    ${PROJECT_BINARY_DIR}/Source/Include
    ${PROJECT_BINARY_DIR}/Source/CParse
    ${PROJECT_SOURCE_DIR}/Source/Doxygen
)

# generate the parser source code (depends on bison)
file (MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/Source/CParse)

BISON_TARGET (swig_parser
    ${SWIG_SOURCE_DIR}/CParse/parser.y
    ${PROJECT_BINARY_DIR}/Source/CParse/parser.c
)

# generate swigwarn.swg
file (READ ${SWIG_SOURCE_DIR}/Include/swigwarn.h SWIG_WARN_H)
string (REGEX REPLACE "#define WARN([^ \\t]*)[ \\t]*([0-9]+)" "%define SWIGWARN\\1 \\2 %enddef" SWIG_WARN_SWG ${SWIG_WARN_H})
file (WRITE ${CMAKE_CURRENT_BINARY_DIR}/swigwarn.swg ${SWIG_WARN_SWG})
set_property (SOURCE ${CMAKE_CURRENT_BINARY_DIR}/swigwarn.swg PROPERTY GENERATED 1)

# install lib
install (DIRECTORY ${SWIG_ROOT}/Lib/ DESTINATION ${SWIG_LIB})
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/swigwarn.swg DESTINATION ${SWIG_LIB})

# sources
# ---------
file (GLOB DOH_SOURCES ${SWIG_SOURCE_DIR}/DOH/*.c)
file (GLOB CPARSE_SOURCES ${SWIG_SOURCE_DIR}/CParse/*.c)
list (REMOVE_ITEM CPARSE_SOURCES ${SWIG_SOURCE_DIR}/CParse/parser.c)
list (APPEND CPARSE_SOURCES)
file (GLOB PREPROCESSOR_SOURCES ${SWIG_SOURCE_DIR}/Preprocessor/*.c)
file (GLOB CORE_SOURCES ${SWIG_SOURCE_DIR}/Swig/*.c)
file (GLOB DOXYGEN_SOURCES ${SWIG_SOURCE_DIR}/Doxygen/*.cxx)
file (GLOB MODULES_SOURCES ${SWIG_SOURCE_DIR}/Modules/*.cxx)

add_executable (swig
  ${CPARSE_SOURCES}
  ${DOH_SOURCES}
  ${DOXYGEN_SOURCES}
  ${MODULES_SOURCES}
  ${CORE_SOURCES}
  ${PREPROCESSOR_SOURCES}
  ${PROJECT_BINARY_DIR}/Source/Include/swigconfig.h
  ${SWIG_SOURCE_DIR}/Include/swigwarn.h
  ${PROJECT_BINARY_DIR}/Source/CParse/parser.c
  ${PROJECT_BINARY_DIR}/Source/CParse/parser.h
)
if (PCRE2_FOUND)
  target_link_libraries (swig ${PCRE2_LIBRARIES})
endif ()
install (TARGETS swig DESTINATION bin)

# 'make package-source' creates tarballs
set (CPACK_PACKAGE_NAME ${PACKAGE_NAME})
set (CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
set (CPACK_SOURCE_IGNORE_FILES "/.git;/build;.*~;${CPACK_SOURCE_IGNORE_FILES}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
include (CPack)

# few tests
enable_testing ()
add_test (NAME cmd_version COMMAND swig -version)
add_test (NAME cmd_pcreversion COMMAND swig -pcreversion)
add_test (NAME cmd_swiglib COMMAND swig -swiglib)
add_test (NAME cmd_external_runtime COMMAND swig -external-runtime ext_rt.h)
set_tests_properties(cmd_external_runtime PROPERTIES ENVIRONMENT "SWIG_LIB=${PROJECT_SOURCE_DIR}/Lib")

=== Examples/go/class/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = class.cxx
TARGET     = example
INTERFACE  = example.i
LIBS       = -lm

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' go_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' go_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' INTERFACE='$(INTERFACE)' go_clean

=== Examples/go/reference/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    = reference.cxx
TARGET     = example
INTERFACE  = example.i
SWIGOPT    =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' go_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' go_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' INTERFACE='$(INTERFACE)' go_clean

=== Examples/guile/constants/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
SRCS       =
TARGET     = my-guile
INTERFACE  = example.i

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' guile_augmented_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' guile_augmented

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' guile_clean

=== Examples/lua/embed3/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
TARGET     = embed3
SRCS       = example.cpp
INTERFACE  = example.i
LUA_INTERP = embed3.cpp

# this is a little different to normal as we have our own special interpreter
# which we want to static link
# we also need the external runtime, so we can get access to certain internals of SWIG
check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' TARGET='$(TARGET)' lua_embed_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	lua_externalhdr
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' SRCS='$(SRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	SWIGOPT='$(SWIGOPT)' TARGET='$(TARGET)' INTERFACE='example.i' LUA_INTERP='$(LUA_INTERP)' lua_static_cpp

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' lua_clean
	rm -f swigluarun.h $(TARGET)

=== Examples/perl5/multiple_inheritance/Makefile ===
TOP        = ../..
SWIGEXE    = $(TOP)/../swig
SWIG_LIB_DIR = $(TOP)/../$(TOP_BUILDDIR_TO_TOP_SRCDIR)Lib
CXXSRCS    =
TARGET     = example
INTERFACE  = example.i
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' perl5_run

build:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='$(TARGET)' INTERFACE='$(INTERFACE)' perl5_cpp

static:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' CXXSRCS='$(CXXSRCS)' \
	SWIG_LIB_DIR='$(SWIG_LIB_DIR)' SWIGEXE='$(SWIGEXE)' \
	TARGET='myperl' INTERFACE='$(INTERFACE)' perl5_cpp_static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' perl5_clean

=== Examples/python/import_packages/same_modnames2/Makefile ===
TOP        = ../../..
LIBS       =

check: build
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_run

build:
	cd pkg1 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build
	cd pkg1/pkg2 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' build

static:
	cd pkg1 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static
	cd pkg1/pkg2 && $(MAKE) SWIGOPT='$(SWIGOPT)' LIBS='$(LIBS)' static

clean:
	$(MAKE) -f $(TOP)/Makefile SRCDIR='$(SRCDIR)' python_clean
	cd pkg1 && $(MAKE) clean
	cd pkg1/pkg2 && $(MAKE) clean

=== debian/changelog ===
swig4.1 (4.1.0-0.3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:45 +1100

swig4.1 (4.1.0-0.3ubuntu1) noble; urgency=medium

  * Build legacy package swig4.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 16:11:57 +0100

swig (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Update octave files to work with Octave v8 (Closes: #1035684)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 15 Jun 2023 02:06:37 -0300

swig (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert upstream patch for Py_LIMITED_API (Closes: #1024555)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 09:11:55 +0100

swig (4.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/copyright: Represent actual source URL
  * Mangle pre-release versions for correct ordering
  * New upstream version 4.1.0 (Closes: #1003479)
  * Drop upstream patches

  [ Debian Janitor ]
  * Apply multi-arch hints. + swig4.0-examples: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 13:05:40 +0100

swig (4.0.2-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * Update documentation to reference libnode-dev instead of libv8-dev.
    The latter is a virtual package provided by libnode-dev.

  [ Jan Kiszka ]
  * Make swig compatible with Node 12 by applying 4 relevant upstream
    commits (closes: #990361).

  [ Torsten Landschoff ]
  * Apply upstream patch for using PCRE2 instead of the legacy PCRE
    library (closes: #999948).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 05 Feb 2022 23:46:44 +0100

swig (4.0.2-1) unstable; urgency=medium

  * New upstream release 4.0.2.
  * Drop upstream patches that are included in release 4.0.2:
    + fix_empty_docstrings.patch
    + ruby-globalmodule.patch
    + ruby2.7-support
  * Raise debhelper compat level from 9 to 10 (now configured in
    the control file instead of debian/compat).
    + Drop unneeded build-dependency on dh-autoreconf (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 14 Nov 2020 23:10:15 +0100

swig (4.0.1-5) unstable; urgency=medium

  * Fix segmentation fault with empty docstrings triggered by ltt-control
    by applying upstream patch (closes: #951839).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 23 Feb 2020 21:41:34 +0100

swig (4.0.1-4) unstable; urgency=medium

  * Apply upstream patch for ruby2.7 support (closes: #951623).
  * This required another upstream patch which fixes global
    variables for Ruby.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 21 Feb 2020 13:28:59 +0100

swig (4.0.1-3) unstable; urgency=high

  * Fix invocation of ccache-swig4.0, the program transform logic was
    dropped from Makefile.in by upstream.
  * Actually use the hardening build flags for ccache. My last
    attempt did actually set CPPFLAGS correctly but I missed another
    assignment overriding the correct value.
  * Enable salsa.debian.org CI integration in the source package.
  * debian/gbp.conf: Added gbp (git build package) configuration file.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 20 Feb 2020 23:00:38 +0100

swig (4.0.1-2.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * debian/: Replace all occurrences of swig3.0 with swig4.0.

  [ Ole Streicher ]
  * debian/swig.links: Update swig.links for version 4.0.
    (Closes: #951703)

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 14:46:05 -0500

swig (4.0.1-2) unstable; urgency=low

  * debian/control: Update Standards-Version to 4.5.0 (no changes).
  * Retarget to unstable.
  * debian/control: Mark swig, swig4.0-doc and swig4.0-examples as
    Multi-Arch: foreign as suggested by the multiarch hinter.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 19 Feb 2020 21:13:39 +0100

swig (4.0.1-1) experimental; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (closes: #920734).

  [ Torsten Landschoff ]
  * New upstream release 4.0.1 (closes: #928375).

    + Create builddir/Source/CParse in configure phase and touch
      Source/parser.y to ensure that the parser is generated with the
      current bison package.

      No idea why builddir/Source/CParse is no longer created by
      running configure as in swig 3.0.12.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 18 Jan 2020 23:22:45 +0100

swig (3.0.12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use PyObject_GC_UnTrack instead of the macro _PyObject_GC_UNTRACK,
    removed in Python 3.8. Closes: #942706.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2019 16:27:42 +0200

swig (3.0.12-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Hilko Bengen ]
  * Include all examples in the swig3.0-examples package (closes: #924487).

  [ Torsten Landschoff ]
  * Use CPPFLAGS for ccache build as well.

  [ Sébastien Villemot ]
  * octave5.patch: new patch, ensures Octave 5 compatibility (Closes: #941746).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 21:26:54 +0200

swig (3.0.12-2) unstable; urgency=low

  * tracker.d.o: Update Vcs-* control fields to point to the new repository on
    salsa.d.o.
  * Remove build dependencies that are only required for testing
    the build (closes: #752938).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 27 Jan 2019 19:57:54 +0100

swig (3.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * python-fix-function-cast-warnings.patch: Fix GCC8 warnings in generated
    Python code. (Closes: #897857)
  * python-fix-gcc8-strncpy-warning.patch: Fix more GCC8 warnings in generated
    Python code.
  * fix-gcc8-memset-warnings.patch: Fix GCC8 warnings in generated code for
    various languages.

 -- Olly Betts <olly@survex.com>  Fri, 10 Aug 2018 12:48:36 +1200

swig (3.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.


=== debian/control ===
Source: swig4.1
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Torsten Landschoff <torsten@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/swig.git
Vcs-Browser: https://salsa.debian.org/debian/swig
Homepage: http://www.swig.org/
Build-Depends: dpkg-dev (>= 1.16.1~),
               bison,
               debhelper (>= 10~),
               debhelper-compat (= 10),
               libpcre2-dev

#Package: swig
#Architecture: all
#Depends: swig4.0 (>= ${source:Version}), ${misc:Depends}
#Multi-Arch: foreign
#Suggests: swig-doc, swig-examples
#Conflicts: swig2.0
#Replaces: swig2.0
#Description: Generate scripting interfaces to C/C++ code
# SWIG is a compiler that makes it easy to integrate C and C++ code
# with other languages including Perl, Tcl, Ruby, Python, Java,
# Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
# .
# Swig takes a set of ANSI C/C++ declarations and generates an
# interface for them to your favorite scripting language.
# .
# This is a dependency package providing the stable version of SWIG.

Package: swig4.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Suggests: swig4.0-examples, swig4.0-doc
Description: Generate scripting interfaces to C/C++ code
 SWIG is a compiler that makes it easy to integrate C and C++ code
 with other languages including Perl, Tcl, Ruby, Python, Java, 
 Guile, Mzscheme, Chicken, OCaml, Pike, and C#.
 .
 Swig takes a set of ANSI C/C++ declarations and generates an 
 interface for them to your favorite scripting language.

#Package: swig-examples
#Architecture: all
#Depends: swig4.0-examples (>= 3.0.0-1), ${misc:Depends}
#Conflicts: swig2.0-examples
#Replaces: swig2.0-examples
#Description: Examples for applications of SWIG
# This is a dependency package providing the examples of the default
# version of SWIG in Debian.

#Package: swig4.0-examples
#Architecture: all
#Depends: swig4.0, ${misc:Depends}
#Multi-Arch: foreign
#Description: Examples for applications of SWIG
# Contains examples for applications of SWIG, a wrapper interface
# generator to integrate C code into scripting languages.

#Package: swig-doc
#Architecture: all
#Multi-Arch: foreign
#Depends: swig4.0-doc (>= 3.0.0-1), ${misc:Depends}
#Section: doc
#Conflicts: swig2.0-doc
#Replaces: swig2.0-doc
#Description: HTML documentation for SWIG
# This is a dependency package providing the documentation of the default
# version of SWIG in Debian.

#Package: swig4.0-doc
#Architecture: all
#Multi-Arch: foreign
#Section: doc
#Depends: ${misc:Depends}
#Description: HTML documentation for SWIG
# Contains the users' and developers' manuals for SWIG (Simplified 
# Wrapper Interface Generator) 2.0 in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support building from Subversion repository
export DH_ALWAYS_EXCLUDE=.svn

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# XXX: patch to pike detection submitted upstream, need to adapt
# configure args
MAKEOPTS =
CONFIGURE_ARGS := \
	--prefix=/usr --mandir=/usr/share/man	\
	--with-swiglibdir=/usr/share/swig4.1		\
    --program-suffix=4.1

NO_PACKAGES :=

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autoreconf ./autogen.sh
	dh_auto_configure --builddirectory=builddir -- $(CONFIGURE_ARGS)

	# Workaround: Enforce rebuilding the bison parser and ensure that the
	# build directory (where generated sources are put) exists.
	cd builddir && mkdir -p Source/CParse
	touch Source/CParse/parser.y

	touch configure-stamp

build: build-indep build-arch

build-indep:	build-stamp
build-arch:	build-stamp

build-stamp: configure-stamp
	dh_testdir
	cd builddir && $(MAKE) $(MAKEOPTS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	rm -rf builddir
	dh_autoreconf_clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd builddir && $(MAKE) $(MAKEOPTS) DESTDIR=$(CURDIR)/debian/swig4.1 install

	touch install-stamp

# Build architecture-independent files here.
# We don't need a dependency on build or install since these are the plain
# documentation files as included in the distribution.
binary-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
#	cd debian/swig4.0-examples/usr/share/doc/swig4.0-examples && mv examples/* . && rmdir examples
#	cp debian/swig4.0-examples.override debian/swig4.0-examples/usr/share/lintian/overrides/swig4.0-examples
#	perl -pi -e 's,^SWIG.*=.*$$,SWIG      = swig,' \
#		`find debian/swig4.0-examples/usr/share/doc/swig4.0-examples -name Makefile`
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a $(NO_PACKAGES_ARGS) README
	dh_installexamples -a $(NO_PACKAGES_ARGS)
	dh_installmenu -a $(NO_PACKAGES_ARGS)
#	dh_installemacsen -a $(NO_PACKAGES_ARGS)
#	dh_installinit -a $(NO_PACKAGES_ARGS)
	dh_installcron -a $(NO_PACKAGES_ARGS)
	dh_installman -p swig4.1 debian/swig4.1.1
	dh_install -a --sourcedir=$(CURDIR)
#	dh_undocumented
	dh_installchangelogs -a -Nswig4.1 $(NO_PACKAGES_ARGS) CHANGES
	dh_installchangelogs -pswig4.1 $(NO_PACKAGES_ARGS)
	dh_compress -a $(NO_PACKAGES_ARGS) -X.pdf
	dh_link -a $(NO_PACKAGES_ARGS)
	dh_strip -a $(NO_PACKAGES_ARGS)
	dh_fixperms -a $(NO_PACKAGES_ARGS)
	dh_makeshlibs -a $(NO_PACKAGES_ARGS)
	dh_installdeb -a $(NO_PACKAGES_ARGS)
	dh_shlibdeps -a $(NO_PACKAGES_ARGS)
	dh_gencontrol -a $(NO_PACKAGES_ARGS)
	dh_md5sums -a $(NO_PACKAGES_ARGS)
	dh_builddeb -a $(NO_PACKAGES_ARGS)

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
